@import url('site.css');

@media only screen and (max-width: 1440px) {

    body {
        zoom: 85%;
    }

    .wms-header-menu-frame a, .wms-header-frame-div-selected a {
        width: 160px;
    }

    @media only screen and (max-width: 1280px) {

        body {
            zoom: 75%;
        }
    }
}

@media only screen and (max-width: 900px) {

    /*GLOBAL*/
    /* ----- */
    html, body {
        max-width: 100%;
        overflow-x: hidden !important;
        zoom: 100%;
        min-height: 100svh;
    }

    table {
        width: 100%;
    }

    .k-list-ul .k-list-item {
        font-size: var(--FontMedium) !important;
    }

    .k-input {
        height: 50px;
        font-size: var(--FontLarge);
    }

    .wms-page-grid .k-input {
        height: 42px;
        width: 100%;
    }

    .wms-page-flex {
        display: flex;
        flex-direction: column;
    }

    #wms-stocktakedetail-grids {
        display: none;
        width: 100%;
        margin-left: 0;
    }

    .k-input-inner {
        font-size: var(--FontLarge);
    }

    .wms-grid-toolbar-header {
        padding: 15px 0px;
        font-size: 16px;
        font-weight: bold;
    }

    .wms-grid-toolbar-icon {
        padding-left: 5px;
    }

    /* ----- */
    /*HEADER*/
    /* ----- */

    .wms-page-header {
        display: inline-block !important;
        padding: 10px;
        padding-left: var(--PaddingMedium);
        padding-right: var(--PaddingMedium);
        overflow-x: hidden;
    }

        .wms-page-header table {
            width: 100%;
        }

    /* ----- */
    /*BODY*/
    /* ----- */

    .k-tabstrip-items .k-link {
        color: white;
        width: auto;
    }

    .wms-box-shadow-header {
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        border-color: rgba(0, 0, 0, 0.12);
        border: 1px;
    }

    .wms-page-border {
        border: none;
    }

    .wms-header-box {
        width: 100%;
    }

    .wms-page-frame {
        padding: 25px 0px 0px 0px;
        border: none;
        margin-top: -30px;
        margin-bottom: 40px;
    }

        .wms-page-frame .wms-page-frame {
            padding-top: 5px;
        }

    .wms-page-top-align {
        margin-top: 0px;
    }

    .wms-page-title {
        font-size: 22px;
        padding-left: 10px;
    }

    .wms-page-descr {
        padding-left: 12px;
    }

    .wms-mobile table, .wms-mobile * {
    }

    .wms-mobile table {
        display: inline-flex;
        flex-direction: column;
    }

    .wms-mobile td:nth-child(1) {
        width: 40%;
        text-align: left;
    }

    /*    .wms-mobile td:nth-child(2) {
        width: 60%;
    }

    .wms-mobile td:nth-child(3) {
        visibility: hidden;
        display: none;
    }*/

    .wms-mobile td:nth-child(3) {
        visibility: hidden;
        display: none;
    }

    .wms-mobile th, .wms-mobile tr {
        font-size: var(--FontLarge);
        text-align: left;
        display: inline-block;
    }

    .wms-mobile .k-input, .wms-mobile .k-input .k-input-inner {
        font-size: var(--FontMedium);
    }

    .wms-body-dark .wms-mobile-buttons .k-button {
        color: var(--ColorLight);
    }

    .wms-mobile-buttons {
        padding: var(--PaddingMedium);
        padding-right: 0px;
        display: flex;
        float: right;
        flex-direction: row;
    }

        .wms-mobile-buttons .k-button {
            font-size: var(--FontLarge);
            padding: var(--PaddingMedium);
            margin: 2px;
            float: right;
            /*background: var(--ColorBlue);*/
        }

    .wms-mobile-buttons-multiple {
        padding: var(--PaddingMedium);
        padding-right: 0px;
        display: flex;
        float: right;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: flex-end;
    }

        .wms-mobile-buttons-multiple .k-button {
            font-size: var(--FontLarge);
            padding: var(--PaddingMedium);
            margin: 2px;
            float: right;
            background: var(--ColorBlue);
        }


    #wms-qr-card-button {
        display: flex;
        justify-content: flex-end;
    }

    .wms-td-width {
        width: auto;
    }

    .wms-text-area-size {
        height: 200px;
    }

    #wms-stocktake-table-secondary {
        margin-left: 0px;
    }

    .k-animation-container .k-list .k-list-item {
        font-size: 10px;
        padding: 2px 4px;
    }

    .k-button,
    .k-input,
    .k-input .k-input-inner,
    .k-picker,
    .k-picker .k-input-inner {
        font-size: 10px;
    }

        .k-button,
        .k-picker .k-input-inner,
        .k-input .k-input-inner,
        .k-button.k-input-button {
            padding: 2px 4px;
        }

    .wms-box-shadow {
        margin-bottom: 25px;
    }

    .k-loader-md {
        padding: 5px 4px;
    }

    .k-centered {
        top: 400px;
    }

    /*GRID*/
    /* ----- */
    .wms-grid-filter {
        width: 100%;
    }

    .wms-center-vertically {
        display: flex;
        flex-direction: row;
        align-items: center;
        height: 50px;
    }

    .wms-page-grid {
        width: 112%;
        margin-left: -6%;
        left: 0px;
    }

    .wms-mobile-grid .wms-grid-detail td {
        text-align: left;
    }

    .wms-mobile-grid .wms-grid-detail th {
        text-align: left;
    }

    .wms-mobile-grid {
        margin-left: calc(50% - 50vw);
        width: 100vw;
        padding-left: 5px;
        padding-right: 5px;
        overflow-x: hidden;
    }

        .wms-mobile-grid .k-grid {
            /*padding: 13px;*/
        }

    .k-toolbar-item {
        width: 100%;
    }

    .wms-mobile-grid .k-grid .k-grid-header {
        padding: 0px 0px;
    }

    .wms-mobile-grid .k-grid td {
        text-align: center;
        padding: 4px 4px;
    }

        .wms-mobile-grid .k-grid td.wms-grid-cell-disable-select {
            /*Disable Copy & Paste*/
            -webkit-user-select: none;
            -webkit-touch-callout: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

    .wms-mobile-grid .k-grid th {
        overflow: visible;
        padding: 8px 2px;
    }

    .wms-mobile-grid .k-grid td, .wms-mobile-grid .k-grid th {
        text-align: center !important;
    }

        .wms-mobile-grid .k-grid td .k-combobox {
            height: 38px;
            width: 100%;
        }

    .wms-mobile-grid .k-grid-header {
        text-align: center;
        font-size: var(--FontMedium);
    }

    .wms-mobile-grid .k-grid th .k-link {
        display: flex;
        justify-content: center;
    }

    .wms-mobile-grid .k-grid {
        font-size: var(--FontSmall);
    }

    .wms-mobile-grid .k-input .k-input-inner {
        font-size: var(--FontSmall);
    }

    .wms-mobile-grid .k-button {
        padding: var(--PaddingMedium);
        font-size: var(--FontSmall);
    }

    .wms-mobile-grid .wms-groupsection-wrapper {
        background-color: var(--ColorBlue);
        color: var(--ColorLight);
        text-align: center;
        padding: var(--PaddingLarge);
        font-weight: bold;
        display: flex;
        font-size: var(--FontLarge);
    }

    .wms-mobile-user-page .wms-page-frame {
        padding: 0px 0px;
        margin: 0px -15px;
        overflow: auto;
    }

    .wms-mobile-user-page .wms-mobile-grid {
        width: 100%;
        padding: 0px 0px;
        margin-left: 0;
    }

    .wms-grid-excel-button .k-toolbar .k-button {
        display: none;
    }

    .wms-page-grid .k-grid-header {
        pointer-events: none;
    }

    .wms-page-grid .k-grid-toolbar {
        background: var(--ColorBlue);
        color: white;
        border-color: #e8e8e8;
        padding: 5px 5px;
    }

        .wms-page-grid .k-grid-toolbar .k-toolbar-items {
            flex-wrap: wrap;
            justify-content: flex-start;
        }

    .wms-filter-grid {
        grid-template-columns: 1fr;
        gap: 12px;
        padding: 0px;
    }

    /* ----- */
    /* ----- */
    /*FOOTER*/
    /* ----- */
    .wms-footer-user {
        color: black;
        font-size: 10px;
        position: absolute;
        bottom: 60px;
        right: 5px;
    }

    .page-main-footer-frame {
        z-index: 30;
    }
    /* ----- */
    /*TELERIK WINDOW*/
    /* ----- */
    .k-dialog-wrapper .k-window {
        width: 80%;
    }

        .k-dialog-wrapper .k-window .k-window-content {
            font-size: var(--FontLarge);
            /*padding: 25px;*/
        }

        .k-dialog-wrapper .k-window .k-button {
            padding: var(--PaddingMedium);
            font-size: var(--FontMedium);
            width: 25%;
        }

    .wms-print-cancel {
        padding-right: 10px;
    }

    .k-window-content, .k-prompt-container {
        padding: 0px;
    }
    /* ----- */
    /*WINDOW EDIT*/
    /* ----- */
    .wms-edit-form-buttons {
        margin-right: 0px;
    }

    .wms-mobile-grid-window {
    }

        .wms-mobile-grid-window .k-grid td, .wms-mobile-grid-window .k-grid th {
            text-align: center;
        }

    .wms-mobile-edit-window-button {
        width: 100% !important;
    }
    /* ----- */
    /*LOGIN*/
    /* ----- */
    .wms-authentication-wrapper {
        padding: 0px;
        width: 94%;
        display: block;
        z-index: 10;
    }

    .wms-authentication-header {
        width: 96% !important;
    }

    .wms-logo-login {
        margin-left: auto;
        text-align: center;
    }

    #btnLogin {
        font-size: var(--FontMedium);
        padding: var(--PaddingLarge);
    }

    .wms-button-start {
        margin-right: auto;
        float: right;
        padding: 10px;
    }

    .wms-qr-buttons {
        position: absolute;
        bottom: 0px;
        width: 100%;
        margin-left: 0px;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        flex-wrap: wrap;
        height: 64px;
        padding: 12px;
        background-color: var(--ColorBlueOpacity);
        margin-top: 8px;
        border-radius: 0px 0px 4px 4px;
    }

        .wms-qr-buttons .k-button-md {
            padding: 8px 16px;
            font-size: var(--FontMedium);
        }

        .wms-qr-buttons .wms-button-start {
            float: none;
            margin-right: 0;
        }
    /* ----- */
    /*NAV*/
    /* ----- */
    /* ----- */
    /*PROGRESS BAR*/
    /* ----- */
    .wms-progress div {
        float: right;
    }
    /* ----- */

    /*EXTRAS*/
    /* ----- */
    .k-pager-numbers-wrap {
        margin: auto;
    }

    select.k-dropdownlist.k-picker.k-picker-md.k-picker-solid {
        width: 100px !important;
        margin-left: 15px !important;
        text-align: center;
        border-width: 5px;
    }

    select.k-picker {
        width: 100px !important;
        margin-left: 15px !important;
        text-align: center;
        border-width: 5px;
    }

    .k-tabstrip-content, .k-tabstrip > .k-content {
        overflow-x: hidden !important;
        padding-bottom: 0;
    }
    /* ----- */

    /*MEDIA QUERIES*/
    /* ----- */

    /* ----- */

    /*LOGIN*/
    /* ----- */

    /* ----- */
}
